package com.cool.store.vo.privatesphere;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * <p>
 * 私域二维码VO
 * </p>
 *
 * @author wangff
 * @since 2026/4/2
 */
@Data
@AllArgsConstructor
public class PrivateSphereVO {
    @ApiModelProperty("状态，0正常，1未绑定sn，2门店未维护私域二维码，3IP限制")
    private Integer status;

    @ApiModelProperty("二维码地址")
    private String qrCodeUrl;

    public PrivateSphereVO(String url) {
        this.qrCodeUrl = url;
        this.status = 0;
    }

    public static PrivateSphereVO unbind() {
        return new PrivateSphereVO(1,  null);
    }

    public static PrivateSphereVO noMaintain() {
        return new PrivateSphereVO(2,  null);
    }

    public static PrivateSphereVO ipLimit() {
        return new PrivateSphereVO(3,  null);
    }
}
